package com.dsk.biz.service;


import com.dsk.biz.domain.BusinessBacklog;
import com.dsk.biz.domain.bo.BusinessBacklogListDto;
import com.dsk.biz.domain.vo.BusinessBacklogListVo;
import com.dsk.common.core.domain.PageQuery;
import com.dsk.common.core.page.TableDataInfo;

/**
 * 项目工作待办Service接口
 *
 * @author llx
 * @date 2023-05-17
 */
public interface IBusinessBacklogService
{
    /**
     * 查询项目工作待办
     *
     * @param id 项目工作待办主键
     * @return 项目工作待办
     */
    public BusinessBacklog selectBusinessBacklogById(Integer id);

    /**
     * 查询项目工作待办列表
     */
    public TableDataInfo<BusinessBacklogListVo> selectBusinessBacklogList(BusinessBacklogListDto dto, PageQuery pageQuery);

    /**
     * 新增项目工作待办
     *
     * @param businessBacklog 项目工作待办
     * @return 结果
     */
    public int insertBusinessBacklog(BusinessBacklog businessBacklog);

    /**
     * 修改项目工作待办
     *
     * @param businessBacklog 项目工作待办
     * @return 结果
     */
    public int updateBusinessBacklog(BusinessBacklog businessBacklog);

    /**
     * 批量删除项目工作待办
     *
     * @param ids 需要删除的项目工作待办主键集合
     * @return 结果
     */
    public int deleteBusinessBacklogByIds(Long[] ids);

    /**
     * 删除项目工作待办信息
     *
     * @param id 项目工作待办主键
     * @return 结果
     */
    public int deleteBusinessBacklogById(Long id);

    Integer overdueCount(Integer businessId);

}
